package com.example.futter_gaode_map.mapview;

import android.app.Application;
import android.content.Context;
import android.os.Bundle;
import android.view.View;

import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

/**
 * Created by chenjiadi on 2019/8/5.
 */

public class MapviewFactory extends PlatformViewFactory {
    private final BinaryMessenger messenger;
    private  AtomicInteger activityState;
//private final Bundle savedInstanceState;
    public MapviewFactory(BinaryMessenger messenger, AtomicInteger activityState) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
        this.activityState = activityState;
    }

    @Override
    public PlatformView create(Context context, int id, Object o) {
        Map<String, Object> params = (Map<String, Object>) o;
        MyMapView view = new MyMapView(context, messenger, activityState,id,params);
        view.setup();
        return  view;
    }

}